<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<p id="demo"></p>
    <script>
        var x,y,z;
        x=5;
        y=7;
        z=x+y;

     var frase1,frase2,fraseFinal;
     frase1="quiero aprender";
     frase2="   a programar js";
     fraseFinal=frase1+frase2;
     var arr= ["coca","fanta","agua"];
     var obj= {primerNombre:"ariana",apellido:"limones"};
     //typeof operador para saber el tipo de dato de un elemento
document.getElementById("demo").innerHTML= obj["primerNombre"] //para acceder a los elementos del object debemos poner entre comillas
    </script>
    <script source="ejemplo.js"></script>
</body>
</html>